# $Revision: 1.23 $, $Date: 2002/09/05 07:55:19 $
Summary:	libGMIME library
Summary(pl):	Biblioteka GMIME
Name:		gmime
Version:	1.90.1
Release:	2
License:	LGPL
Group:		Development/Libraries
Source0:	http://spruce.sourceforge.net/gmime/sources/gmime-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-types.patch
URL:		http://spruce.sourceforge.net/gmime/
BuildRequires:	autoconf
BuildRequires:	automake
# glib2-devel is needed for aclocal/autoconf call (m4 macros) and to build test programs
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuilDrequires:	libunicode-devel >= 0.7-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
This library allows you to manipulate MIME messages.

%description -l pl
Ta biblioteka pozwala na manipulowanie wiadomociami MIME.

%package devel
Summary:	Libraries, includes, etc to develop libgmime applications
Summary(pl):	Biblioteki, nagwki, itp. do tworzenia programw z libgmime
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk-doc-common

%description devel
Libraries, include files, etc you can use to develop libgmime
applications.

%description devel -l pl
Bibliotek, pliki nagwkowe itp. potrzebne do tworzenia programw
opartych o bibliotek gmime.

%package static
Summary:	Static gmime libraries
Summary(pl):	Statyczne biblioteki gmime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static gmime libraries.

%description static -l pl
Statyczne biblioteki gmime.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/gmime-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%attr(644,root,root) %{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_aclocaldir}/*
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gmime.spec,v $
Revision 1.23  2002/09/05 07:55:19  qboosh
- types patch comes back - it was only in 1/3 obsolete (grrr...)
- release 2

Revision 1.22  2002/09/03 20:39:24  kloczek
- updated to 1.90.1,
- removed outdated cvs20020719 and types patches.

Revision 1.21  2002/08/29 14:10:32  qboosh
- fixed build on 64-bit archs (types patch)
- fixed am15 patch, added gtk-doc files
- BR: glib2-devel, release 3

Revision 1.20  2002/07/19 08:40:21  marcus
- fixed some bugs (from gmime cvs)
- rel.2.

Revision 1.19  2002/07/18 11:49:48  marcus
- removed CFLAGS hack, unicode.h now is in /usr/include

Revision 1.18  2002/07/18 10:31:10  kloczek
- added am15 patch: now we can perfrm full regeneratuion ac/am/lt files.

Revision 1.17  2002/07/18 07:58:24  marcus
-i addedd regeneration ac/am (without automake because it crashes %%install)
- rel.1.

Revision 1.16  2002/07/17 12:40:03  speedy
- so

Revision 1.15  2002/07/17 09:31:25  speedy
- updated to 1.90.0
- new %doc
- quick hack.. but works

Revision 1.14  2002/05/30 11:53:28  radzio
- updated to 0.9.0
- rel 1
- change URL and source URL
- updated DESTDIR.patch too
- STBR

Revision 1.13  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/04/25 16:25:22  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/26 10:36:28  qboosh
- BuildRequires: libtool

Revision 1.6  2001/08/12 12:20:56  blues
- Release 2
- adapterized
- translations
- libtoolized

Revision 1.5  2001/07/28 15:08:08  migo
- added pl summary and description

Revision 1.4  2001/04/23 16:35:43  kloczek
- updated to 0.5.0,
- updated %fiels lists,
- move NEWS %doc to main.

Revision 1.3  2001/01/02 16:36:28  kloczek
- updated to 0.3.0,
- corrected Source url and URL.

Revision 1.2  2000/11/23 00:02:56  kloczek
- spec rewrited in PLD style but seems package is not yet redy for make
  regular package.
